c      SUBROUTINE RAND(IX,IY,YFL)                                        3484
C     ...RAND. NO. ROUTINE FROM IBM 360 SSP                             3485
C     ...IX - ANY ODD INTEGER <= 9 DIGITS ON FIRST CALL.                3486
C     ...AFTERWARDS, IX=PREVIOUS IY.                                    3487
c      IY=IX*65539                                                       3488
c      IF(IY)5,6,6                                                       3489
c 5    IY=IY+2147483647+1                                                3490
c 6    YFL=IY                                                            3491
c      YFL=YFL*.4656613E-9                                               3492
c      IX=IY                                                             3493
c      RETURN                                                            3494
c      END                                                               3495

      function rand(xy)
      n=xy*1048576.
      rand=float(mod(1061*n+221589,1048576))/1048576.
      return
      end
